jQuery(document).ready(function($) {

    var infoAdicional = new Object;
    var resposta = new Array;
    var op = "getRDiario";

    getDados();

    $(window).scroll(function(){

         var posHead;
         var posHead2;
         var posHead3;

         if($(window).scrollTop()<=0)
         {
               posHead = 64;
               posHead2 = 304;
               posHead3 = 394;
         }
         else
         {
               posHead = 64 - $(window).scrollTop();
               posHead2 = 304 - $(window).scrollTop();
               posHead3 = 394 - $(window).scrollTop();
         }

         $('#headTabla').css({ 'top': posHead });

         $('#headTabla2').css({ 'top': posHead2 });

         $('#headTabla3').css({ 'top': posHead3 });
    });
    

    window.onresize = function(event) 
    {
           resizeHeadTable();
    }

    function resizeHeadTable()
    {
          //tabela 1
          $('#hd1').width($('#col1').width());
          $('#hd2').width($('#col2').width());
          $('#hd3').width($('#col3').width());
          $('#hd4').width($('#col4').width());
          $('#hd5').width($('#col5').width());
          $('#hd6').width($('#col6').width());
          $('#hd7').width($('#col7').width());
          $('#hd8').width($('#col8').width());
          $('#hd9').width($('#col9').width());
          $('#hd10').width($('#col10').width());

          //tabela 2
          $('#hd11').width($('#col11').width());
          $('#hd12').width($('#col12').width());
          $('#hd13').width($('#col13').width());
          $('#hd14').width($('#col14').width());
          $('#hd15').width($('#col15').width());
          $('#hd16').width($('#col16').width());
          $('#hd17').width($('#col17').width());
          $('#hd18').width($('#col18').width());
          $('#hd19').width($('#col19').width());
          $('#hd20').width($('#col20').width());
         
          //tabela 3
          $('#hd21').width($('#col21').width());
          $('#hd22').width($('#col22').width());
          $('#hd23').width($('#col23').width());
          $('#hd24').width($('#col24').width());
          $('#hd25').width($('#col25').width());
          $('#hd26').width($('#col26').width());
          $('#hd27').width($('#col27').width());
          $('#hd28').width($('#col28').width());
          $('#hd29').width($('#col29').width());
          $('#hd30').width($('#col30').width());
    }

    function getDados()
    {
           ajaxGetResults = $.ajax({
                context: this,
                type: "POST",
                url: "consult_bd.php",
                data: {op: op},
                cache: false,
                dataType: "json"
           })
           ajaxGetResults.done(function(data) {
                resposta = data;
                printDados(0);

                op = "getRMes";
                getDadosMes();

           })
           ajaxGetResults.fail(function() {               
                console.log('network error!');
           })

    }

    function getDadosMes()
    {
           ajaxGetResults = $.ajax({
                context: this,
                type: "POST",
                url: "consult_bd.php",
                data: {op: op},
                cache: false,
                dataType: "json"
           })
           ajaxGetResults.done(function(data) {
                resposta = data;
                printDados2(0);

                op = "getRAno";
                getDadosAno();
           })
           ajaxGetResults.fail(function() {               
                console.log('network error!');
           })

    }

    function getDadosAno()
    {
           ajaxGetResults = $.ajax({
                context: this,
                type: "POST",
                url: "consult_bd.php",
                data: {op: op},
                cache: false,
                dataType: "json"
           })
           ajaxGetResults.done(function(data) {
                resposta = data;
                printDados3(0);
           })
           ajaxGetResults.fail(function() {               
                console.log('network error!');
           })

    }

    function printDados3(idEdit)
    {

          $('#conteudo3').html('');

          $('#conteudo3').append("<table>");

          for(var i=0;i<resposta.length;i++)
          {
                 $('#conteudo3').append("<tr style='background-color:#9DD6ED'><td id='col23'>"+resposta[i]['Date']+"</td><td id='col24'>"+resposta[i]['Operador']+"</td><td id='col25'>"+resposta[i]['Contatadas']+"</td><td id='col26'>"+resposta[i]['Venda']+"</td><td id='col27'>"+resposta[i]['ValorVenda']+"</td><td id='col28'>"+resposta[i]['VendaPer']+"</td><td id='col29'>"+resposta[i]['VendasMedia']+"</td></tr>");
          }

          $('#result').append("</table>");

          $('#conteudo3').append("</div><table id='headTabla3'><tr><th id='hd23' >Mensal por Operador</th><th id='hd24' >Operador</th><th id='hd25' >Contatadas</th><th id='hd26' >Venda</th><th id='hd27' >Valor Venda</th><th id='hd28' >% Venda</th><th id='hd29' style='padding-right:3px; padding-left:4px;'>Vendas Média</th></tr></table>");
          resizeHeadTable();
    }


    function printDados2(idEdit)
    {

          $('#conteudo2').html('');

          $('#conteudo2').append("<table>");

          for(var i=0;i<resposta.length;i++)
          {
                  $('#conteudo2').append("<tr style='background-color:#9DD6ED'><td id='col13'>"+resposta[i]['Date']+"</td><td id='col14'>"+resposta[i]['Recebidos']+"</td><td id='col15'>"+resposta[i]['A_Contatar']+"</td><td id='col16'>"+resposta[i]['Contatadas']+"</td><td id='col17'>"+resposta[i]['N_Nao_Existe']+"</td><td id='col18'>"+resposta[i]['Sem_Interesse']+"</td><td id='col19'>"+resposta[i]['Valor_Venda']+"</td></tr>");
          }

          $('#result').append("</table>");

          $('#conteudo2').append("<table id='headTabla2'><tr><th id='hd13' >Mensal</th><th id='hd14' >Recebidos</th><th id='hd15' >A contatar</th><th id='hd16' >Contatadas</th><th id='hd17' >Nº Não Existe</th><th id='hd18' >Sem interesse</th><th id='hd19' style='padding-right:5px'>Valor Venda</th></tr></table>");
          resizeHeadTable();
    }

   
    function printDados(idEdit)
    {

          $('#conteudo').html('');

          $('#conteudo').append("<table>");

          for(var i=0;i<resposta.length;i++)
          {
                  $('#conteudo').append("<tr style='background-color:#9DD6ED' ><td id='col3' >"+resposta[i]['Date']+"</td><td id='col4' >"+resposta[i]['Recebidos']+"</td><td id='col5' >"+resposta[i]['A_Contatar']+"</td><td id='col6' >"+resposta[i]['Contatadas']+"</td><td id='col7' >"+resposta[i]['N_Nao_Existe']+"</td><td id='col8' >"+resposta[i]['Sem_Interesse']+"</td><td id='col9' >"+resposta[i]['Valor_Venda']+"</td></tr>");
          }

          $('#result').append("</table>");

          $('#conteudo').append("<table id='headTabla'><tr><th id='hd3' >Diário</th><th id='hd4' >Recebidos</th><th id='hd5' >A contatar</th><th id='hd6' >Contatadas</th><th id='hd7' >Nº Não Existe</th><th id='hd8' >Sem interesse</th><th id='hd9' style='padding-right:5px'>Valor Venda</th></tr></table>");
          resizeHeadTable();
    }

});